Bug 143008 - mailman logrotate has wrong location for mailmanctl
Summary: mailman logrotate has wrong location for mailmanctl
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-15 18:05 UTC by Paul Tomblin
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 21:42:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:235 high SHIPPED_LIVE Important: mailman security update 2005-03-21 05:00:00 UTC

Description Paul Tomblin 2004-12-15 18:05:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
/etc/logrotate.d/mailman/mailman has a postrotate line of 
  /var/mailman/bin/mailmanctl reopen >/dev/null 2>&1 || true

But mailmanctl in in /usr/lib/mailman/bin, not in /var/mailman/bin.
Because of this, after rotating the logs, logs still go to the .1
version of the files.

Version-Release number of selected component (if applicable):
mailman-2.1.5-26

How reproducible:
Always

Steps to Reproduce:
1.  Wait for logrotate to rotate your mailman log.
2.  Notice that bounces are being logged in /var/log/mailman/bounce.1
instead of /var/log/mailman/bounce
3.
    

Actual Results:  Logs go to /var/log/mailman/bounce.1, etc.

Expected Results:  Logs should go to /var/log/mailman/bounce, etc.


Additional info:

Comment 1 John Dennis 2004-12-15 18:16:36 UTC
Good catch, thank you for reporting this Paul, it will be fixed shortly.

Comment 2 John Dennis 2005-02-14 21:42:47 UTC
fixed in rawhide, fc3 and fc4

Comment 3 Mark J. Cox 2005-03-21 18:31:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-235.html



Note You need to log in before you can comment on or make changes to this bug.